ufo.c:925:12: error: conflicting types for 'SplinePointListInterpretGlif'

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

ufo.c:925:12: error: conflicting types for 'SplinePointListInterpretGlif'

Adam Twardoch (List)

Hello all,

I'm trying to build FontForge 2.0.20140101 ( https://github.com/fontforge/fontforge/archive/2.0.20140101.zip ) on Mac OS X 10.9 as a Python library only.

When I do:

$ PYTHON_CFLAGS="-I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7" \
PYTHON_LIBS="-L/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/config" \
./configure --disable-libtool-lock --disable-programs --disable-native-scripting --without-x --without-cairo --without-giflib --without-libjpeg --without-libtiff --without-libpng --without-libxml --without-libspiro --without-libuninameslist --without-libunicodenames --without-iconv --without-libzmq --without-libreadline --enable-python-scripting --enable-python-extension --disable-freetype-debugger

$ make

I get:

ufo.c:925:12: error: conflicting types for 'SplinePointListInterpretGlif'
SplineSet *SplinePointListInterpretGlif(char *filename,char *memory, int memlen,
           ^
./splinefont.h:2880:19: note: previous declaration is here
extern SplineSet *SplinePointListInterpretGlif(SplineFont *sf,char *filename,char *memory, int memlen, int em_size...
                  ^
2 warnings and 1 error generated.
make[2]: *** [libfontforge_la-ufo.lo] Error 1

I'd appreciate any help.

Best,
Adam
------------------------------------------------------------------------------
Time is money. Stop wasting it! Get your web API in 5 minutes.
www.restlet.com/download
http://p.sf.net/sfu/restlet
_______________________________________________
Fontforge-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/fontforge-devel
Reply | Threaded
Open this post in threaded view
|

Re: ufo.c:925:12: error: conflicting types for 'SplinePointListInterpretGlif'

Frank Trampe
This bug ought to be fixed in current master on git.



On Thu, May 29, 2014 at 3:32 PM, Adam Twardoch (List) <[hidden email]> wrote:

Hello all,

I'm trying to build FontForge 2.0.20140101 ( https://github.com/fontforge/fontforge/archive/2.0.20140101.zip ) on Mac OS X 10.9 as a Python library only.

When I do:

$ PYTHON_CFLAGS="-I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7" \
PYTHON_LIBS="-L/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/config" \
./configure --disable-libtool-lock --disable-programs --disable-native-scripting --without-x --without-cairo --without-giflib --without-libjpeg --without-libtiff --without-libpng --without-libxml --without-libspiro --without-libuninameslist --without-libunicodenames --without-iconv --without-libzmq --without-libreadline --enable-python-scripting --enable-python-extension --disable-freetype-debugger

$ make

I get:

ufo.c:925:12: error: conflicting types for 'SplinePointListInterpretGlif'
SplineSet *SplinePointListInterpretGlif(char *filename,char *memory, int memlen,
           ^
./splinefont.h:2880:19: note: previous declaration is here
extern SplineSet *SplinePointListInterpretGlif(SplineFont *sf,char *filename,char *memory, int memlen, int em_size...
                  ^
2 warnings and 1 error generated.
make[2]: *** [libfontforge_la-ufo.lo] Error 1

I'd appreciate any help.

Best,
Adam
------------------------------------------------------------------------------
Time is money. Stop wasting it! Get your web API in 5 minutes.
www.restlet.com/download
http://p.sf.net/sfu/restlet
_______________________________________________
Fontforge-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/fontforge-devel


------------------------------------------------------------------------------
Time is money. Stop wasting it! Get your web API in 5 minutes.
www.restlet.com/download
http://p.sf.net/sfu/restlet
_______________________________________________
Fontforge-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/fontforge-devel